using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace Q3.SL.Demos
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void RadButton_Click(object sender, RoutedEventArgs e)
        {
            string temp = (sender as RadButton).Tag.ToString();

            TextBlock txb = new TextBlock() { Text = temp };

            Style lookinGood = Application.Current.Resources["zSmallHeaderStyle"] as Style;

            txb.Style = lookinGood;

            xTitleTransition.Content = txb;

            switch (temp)
            {
                case "RadBarCode":
                    xContentTransition.Content = new Demos.Barcode();
                    break;
                case "RadPDF":
                    xContentTransition.Content = new Demos.PDFViewer();
                    break;
                case "RadChartView":
                    xContentTransition.Content = new Demos.ChartView();
                    break;
                case "RadCalculator":
                    xContentTransition.Content = new Demos.Calculator();
                    break;
                case "RadColorEditor":
                    xContentTransition.Content = new Demos.ColorEditor();
                    break;
                case "VirtualizingWrapPanel":
                    xContentTransition.Content = new Demos.VirtualPanel();
                    break;
            }
        }
    }
}
